Bug 25704 - mysql-ruby1.8 не работает
: mysql-ruby1.8 не работает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mysql-ruby1.8)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-06-01 23:02 by
Modified: 2011-06-20 10:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-06-01 23:02:50
При установке Redmine, получаю такое.
Что это может быть?
Опять вынужден уходить на rubyee. Может таки его собрать вместо ruby1.8?

# RAILS_ENV=production rake db:migrate --trace
(in /var/www/redmine)
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
==  SetDocAndFilesNotifications: migrating ====================================
/usr/bin/ruby: symbol lookup error:
/usr/lib/ruby/vendor_ruby/1.8/i586-linux/mysql.so: undefined symbol:
rb_utf8_encoding
------- Comment #1 From 2011-06-01 23:12:52 -------
Возможно поможет это:
http://git.altlinux.org/gears/m/mysql-ruby.git?p=mysql-ruby.git;a=commitdiff;h=3454241f7c4815595d9a994678cd5e949f2062f9
------- Comment #2 From 2011-06-02 12:49:20 -------
Вроде, наоборот, нужно вернуться на апстримовскую версию..
http://git.altlinux.org/gears/m/mysql-ruby1.8.git?p=mysql-ruby1.8.git;a=commitdiff;h=9da0672a265cf93ac0f6e7c6985d3a166e4d7df2
------- Comment #3 From 2011-06-02 21:29:30 -------
Сделайте чтобы работало пожалуйста :)
------- Comment #4 From 2011-06-16 01:20:38 -------
Иправили?
------- Comment #5 From 2011-06-18 11:51:52 -------
(В ответ на комментарий №4)
> Иправили?

Мне не на чем проверить, так как redmine отправлен в работу, трогать продакшн
не хочу.
Думаю ментейнер проверил свое исправление. 
Работу смогу проверить когда (если) буду поднимать новый сервер Redmine. По
срокам это примерно месяца 2.
------- Comment #6 From 2011-06-20 03:30:32 -------
В Сизиф
------- Comment #7 From 2011-06-20 10:50:10 -------
В p6 была старая, не рабочая версия. Скопировал из сизифа новую